require 'nuke/parses_features'

describe "Nuke::ParsesFeatures" do
  def output_for string
    Nuke::ParsesFeatures.new.parse(string)
  end

  it "parses feature files" do
    feature = "Feature: Do stuff!"
    expect(output_for feature).to eq({
      "keyword"     => "Feature",
      "name"        => "Do stuff!",
      "line"        => 1,
      "description" => "",
      "id"          => "do-stuff!",
      "uri"         => nil
    })
  end

  it "raises nice errors" do
    feature = "!WEFFW"
    expect { output_for feature }.to raise_error Nuke::FeatureParseException
  end
end
